Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.dispatcher
Class LocalJobManager

    java.lang.Object
      org.irisa.genouest.logol.dispatcher.LocalJobManager

All Implemented Interfaces:
  JobManager

    public class LocalJobManager

extends java.lang.Object
implements JobManager

Manage execution of jobs on local computer. No parallelization is done.

Author:
  osallou

Constructor Summary
`LocalJobManager()`

Method Summary
`int` | `addJob(java.lang.String sequence, java.lang.String output, java.lang.String jobArgs)` Adds sequence as a job to execute
`int` | `runJobs(java.lang.String nativeSpecifications)` Executes the job as sequential treatment.
`void` | `setInstallPath(java.lang.String installDir)`
`void` | `setJobArgs(java.lang.String args)` Sets the arguments for the job execution.
`int` | `waitForJobsOver()` Not applicable when serialized, return immediatly

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalJobManager

    public LocalJobManager()

Method Detail

### addJob

    public int addJob(java.lang.String sequence,
                      java.lang.String output,
                      java.lang.String jobArgs)

  Adds sequence as a job to execute

  Specified by:
    `addJob` in interface `JobManager`

### runJobs

    public int runJobs(java.lang.String nativeSpecifications)

  Executes the job as sequential treatment.

  Specified by:
    `runJobs` in interface `JobManager`

### waitForJobsOver

    public int waitForJobsOver()

  Not applicable when serialized, return immediatly

  Specified by:
    `waitForJobsOver` in interface `JobManager`

### setJobArgs

    public void setJobArgs(java.lang.String args)

  Sets the arguments for the job execution.

  Specified by:
    `setJobArgs` in interface `JobManager`

### setInstallPath

    public void setInstallPath(java.lang.String installDir)

  Specified by:
    `setInstallPath` in interface `JobManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD